ようこそ!

初めてですか? 参加するには、どちらかのボタンをクリックしてください!

【Live2D Creators Circleのご案内】
Live2Dでは現在、業務をお手伝いしていただけるユーザーの方々を募集しています。
もし、ご興味がありましたら下記URLより詳細をご確認ください。
https://goo.gl/0oBmkq
 
Live2D作品のコンペティション「Live2D Creative Award 2017」作品募集中!

賞金総額50万円!液晶タブレット、CLIP STUDIO PAI、CG WORLD年間購読などの副賞も!

詳しい募集要項はこちら↓↓

http://www.live2d.com/ja/award2017
 

ios書き出し後エラーがでる。

下記を適切なものに設定後ios書き出しを行い、ビルドを走らせるとエラーが表示されてしまう。
ライブラリ
プラグイン


error: Invalid bitcode signature
clang: error: linker command failed with exit code 1 (use -v to see invocation)

コメント

  • edited 05/18
    gkn 様

    手元の環境では再現できなかったのですが、UnityとXcodeのバージョンをお教え願えますでしょうか?
    (もし他のIDEをお使いの場合はそちらの名称とバージョンをお願いします)

    また、あまり関係ないかも知れないのですが、一旦プロジェクトをクリーンして、
    XcodeのBuild Settingにある「Enable Bitcode」のYes/Noを切り替えてビルドを試していただけますでしょうか?

    もしですが、サンプルとして配布しているプロジェクトと異なる設定をしている部分がありましたら、
    そちらもあわせて教えていただけますと検証しやすくなるかと思われます。

    よろしくお願いいたします。
  • ご返信ありがとうございます。

    クリーンビルドとbuild settingを設定して試して見たのですが結果変わらずでした。

    手順や設定はこちらをなぞった感じになります。
    http://docs.live2d.com/euclid-sdk-manual/howtouse/

    os 10.12.4
    unity 5.6.1f1
    xcode Version 8.3.2 (8E2002)
  • gkn 様

    ご報告ありがとうございます。
    お問合せの件につきまして、
    現在、調査しておりますのでお待ちください。

    お待たせして申し訳ありませんがよろしくお願いいたします。
  • 承知致しました!
    お手数をおかけいたしますが、よろしくお願い致します。
  • gkn 様

    本日Euclid SDKのバージョン1.0.1.0を公開いたしました。
    こちらでお試しいただけますでしょうか?「Enable Bitcode」の設定は「No」にするようお願いします。
    https://sites.google.com/a/cybernoids.jp/euclid-reference/downloadpage-root/download-top
  • ご返信ありがとうございます。

    sdkをdlし新規プロジェクトを作成したのですが
    今度はモデルが表示されなくなってしまいました。

    http://d.kuku.lu/f1fdb2ff54
  • gkn 様


    エラーの先頭にDllNotFoundExceptionが表示されているので、ライブラリ周りの設定が疑わしいと思います。
    UnityのBuild Settingsで書き出し先のプラットフォームをiOSに切り替えていても、
    Unityエディタ上でモデルを表示する際はmacOS用のライブラリが使用されます。
    つきまして、下記四点を確認していただいてよろしいでしょうか?

    ・Pluginsのx64にあるEuclidSDKNative.bundleを選択したときにインスペクタの「Editor」にチェックが入っているか
    ・Pluginsの~.bundle以外に「Editor」にチェックが入っているライブラリがないか
    ・LibrariesのlibEuclidSDKExternal.dllを選択したときにインスペクタの「Editor」にチェックが入っているか
    ・LibrariesのlibEuclidSDKInternal.dllの「Editor」にチェックが入っていないか

    よろしくお願いいたします。
  • 設定はできていると思うのですが・・・。

    http://d.kuku.lu/6a067de2b0
  • gkn 様

    新規作成したプロジェクトではなく、配布しているサンプルでも同様のエラーが出るでしょうか?
    お手数おかけしますが、ご確認をお願いいたします。
    gkn
  • 返信が遅くなり申し訳ありません。
    いろいろ試した結果
    Target versionを8.0以上に設定したらビルドが正常に行われました。

    ご対応ありがとうございます!
    t_takasaka (Staff)
  • gkn 様

    ご報告ありがとうございます。
    こちらでも状況を確認したいのでお伺いさせていただきたいのですが、Target versionというのは
    UnityのPlayer SettingsでiOSを選択した際に表示される「Target minimum iOS Version」のことで合っているでしょうか?
    別の個所でしたらご指摘いただけますと助かります。よろしくお願いいたします。
  • UnityではなくxcodeのDeployment Targetを直接設定しました。
    t_takasaka (Staff)
  • gkn 様

    Unityの設定に異なる部分があるのかなと思っていたのですが、Xcodeの方でしたか。
    ご連絡ありがとうございます。助かります。
    gkn
Sign In or Register to comment.